This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1006901 - I/O on samba share getting killed with "Bad file descriptor" error for replace brick operation
I/O on samba share getting killed with "Bad file descriptor" error for replac...
Status: CLOSED WONTFIX
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: samba (Show other bugs)
2.1
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Raghavendra Talur
Lalatendu Mohanty
gluster
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-11 09:28 EDT by Lalatendu Mohanty
Modified: 2015-04-01 03:30 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-04-01 03:30:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lalatendu Mohanty 2013-09-11 09:28:34 EDT
Description of problem:

I/O on samba share getting killed with "Bad file descriptor" error for replace brick operation

Version-Release number of selected component (if applicable):

samba-glusterfs-3.6.9-160.3.el6rhs.x86_64
glusterfs-server-3.4.0.33rhs-1.el6rhs

How reproducible:

Always

Steps to Reproduce:
1. Create gluster dht volume, start a volume.
2. Mount on Windows client, Start I/O on it
3. Perform a replace brick operation.

[2013-09-11 11:59:07.109887]  : v create testvol4 10.70.37.55:/rhs/brick1/testvol4-b1 10.70.37.56:/rhs/brick1/testvol4-b1 : SUCCESS
[2013-09-11 12:08:00.688171]  : v start testvol4 : SUCCESS
[2013-09-11 12:08:46.985446]  : v set testvol4 stat-prefetch off : SUCCESS
[2013-09-11 12:08:55.287691]  : v set testvol4 server.allow-insecure on : SUCCESS
[2013-09-11 12:52:43.299101]  : v replace-brick testvol4 10.70.37.56:/rhs/brick1/testvol4-b1 10.70.37.56:/rhs/brick2/testvol4-b1 start : SUCCESS

Actual results:

The I/O stops when we do a "replace-brick start"
 
Expected results:

I/O should not stop

Additional info:
Comment 2 Lalatendu Mohanty 2013-09-12 03:32:51 EDT
There are known issues with replace brick, hence the severity is medium for this bug.

There is another doc bug has been raised for removing replace brick section from the admin doc BZ 1006898.

Note You need to log in before you can comment on or make changes to this bug.